﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace wms.dto
{
    public class EnumClass
    { 

    
    }
    /// <summary>
    /// 货位类型
    /// </summary>
    public enum LocationType
    {
        /// <summary>
        /// 立库货位
        /// </summary>
        LocationType_StorageLocation = 1,
        /// <summary>
        /// 平库货位
        /// </summary>
        LocationType_GroudLocation = 2,
        /// <summary>
        /// 虚拟货位
        /// </summary>
        LocationType_VirtualLocation1 = 3,
    }
    /// <summary>
    /// 货位是否启用
    /// </summary>
    public enum LocationStop
    {
        /// <summary>
        /// 启用
        /// </summary>
        LocationInvoke = 0,
        /// <summary>
        /// 停用
        /// </summary>
        LocationStopped = 1
    }
    /// <summary>
    /// 货位状态
    /// </summary>
    public enum LocationState
    {
        /// <summary>
        /// 货位空
        /// </summary>
        LocationState_Empty = 1,
        /// <summary>
        /// 货位有货
        /// </summary>
        LocationState_Full = 2,
        /// <summary>
        /// 入库锁
        /// </summary>
        LocationState_StockIn = 3,
        /// <summary>
        /// 出库锁
        /// </summary>
        LocationState_StockOut = 4,
        /// <summary>
        /// 移库锁
        /// </summary>
        LocationState_StockMove = 5,
    }


    public enum ResponseStatusCodeEnum
    {
        /// <summary>
        /// 成功
        /// </summary>
        [Description("成功")]
        Sucess = 200,

        /// <summary>
        /// 已存在
        /// </summary>
        [Description("已存在")]
        Exist = 201,

        /// <summary>
        /// 执行成功但未取得任何数据
        /// </summary>
        [Description("执行成功但未取得任何数据")]
        NoResult = 202,

        /// <summary>
        /// 参数错误
        /// </summary>
        [Description("参数错误")]
        ErrParam = 203,
        /// <summary>
        /// 语法异常
        /// </summary>
        [Description("语法异常")]
        InnerServerErr = 204,

        /// <summary>
        /// 参数不可为空
        /// </summary>
        [Description("参数不可为空")]
        ErrParamNotNull = 205,

        /// <summary>
        /// 失败
        /// </summary>
        [Description("失败")]
        Fail = 206,
        /// <summary>
        /// 账号密码错误或账号不存在
        /// </summary>
        [Description("账号密码错误或账号不存在")]
        AccountError = 1001,

        /// <summary>
        /// 数据保存失败
        /// </summary>
        [Description("数据保存失败")]
        DataSaveErr = 1002,

        /// <summary>
        /// 没有传过账凭证号
        /// </summary>
        [Description("没有传过账凭证号")]
        NotReqId = 1003,


        /// <summary>
        /// 仓库编码不存在
        /// </summary>
        [Description("仓库编码不存在")]
        WarehouseCodeNotExist = 2001,
        /// <summary>
        /// 容器码不能为空
        /// </summary>
        [Description("容器码不能为空")]
        ContainerCodeNotEmpty = 2002,
        /// <summary>
        /// 该托盘号已在库中，请检查托盘号是否贴重复
        /// </summary>
        [Description("该托盘号已在库中，请检查托盘号是否贴重复")]
        BarcodeContainerRepeat = 2003,
        /// <summary>
        /// 物料条码重复组盘
        /// </summary>
        [Description("物料条码重复组盘")]
        GroupStockDetailMaterialBarCodeExist = 2004,
        /// <summary>
        /// 物料编码信息不存在
        /// </summary>
        [Description("物料编码信息不存在")]
        MaterInfoNotExist = 2005,
        /// <summary>
        /// 不存在该任务
        /// </summary>
        [Description("不存在该任务")]
        WcsTaskNotExist = 2006,
        /// <summary>
        /// 组盘信息不存在
        /// </summary>
        [Description("组盘信息不存在")]
        StockNotExist = 2007,
        /// <summary>
        /// 没有可用库位
        /// </summary>
        [Description("没有可用库位")]
        NotEnoughLocation = 2008,
        /// <summary>
        /// 库区编码不存在
        /// </summary>
        [Description("库区编码不存在")]
        WareZoneCodeNotExist = 2009,
        /// <summary>
        /// 货位编码不存在
        /// </summary>
        [Description("货位编码不存在")]
        WareLocationCodeNotExist = 2010,
        /// <summary>
        /// 物料编码不存在
        /// </summary>
        [Description("物料编码不存在")]
        BaseMaterCodeNotExist = 2011,
        /// <summary>
        /// 单位编码不存在
        /// </summary>
        [Description("单位编码不存在")]
        BaseUnitCodeNotExist = 2012,
        /// <summary>
        /// 条码不存在
        /// </summary>
        [Description("条码不存在")]
        BaseBarcodeNotExist = 2013,
        /// <summary>
        /// 明细数据必须传参
        /// </summary>
        [Description("明细数据必须传参")]
        DocDetailNotExist = 2014,
     
        /// <summary>
        /// 当前组盘状态不是已组盘，不允许取消
        /// </summary>
        [Description("当前组盘状态不是已组盘，不允许取消")]
        StockStateNotBuildUp = 2015,
        /// <summary>
        /// 当前任务是已完成或已取消状态
        /// </summary>
        [Description("当前任务是已完成或已取消状态")]
        WcsTaskStateIsComplete = 2016,
        /// <summary>
        /// 组盘状态是已出库或已入库
        /// </summary>
        [Description("组盘状态是已出库或已入库")]
        StockStateFail = 2017,
        /// <summary>
        /// 当前入库任务还未分配货位，不允许完成
        /// </summary>
        [Description("当前入库任务还未分配货位，不允许完成")]
        InTaskNotLocation = 2018,
        /// <summary>
        /// 当前任务不是新建状态，只能取消新建状态的任务
        /// </summary>
        [Description("当前任务不是新建状态，只能取消新建状态的任务")]
        WcsTaskStateNotCreate = 2019,
        /// <summary>
        /// 单据不存在
        /// </summary>
        [Description("单据不存在")]
        DocNoCodeNotExist = 2019,
        /// <summary>
        /// 单据状态不是新增或执行，不允许结单
        /// </summary>
        [Description("单据状态不是新增或执行，不允许结单")]
        DocumentStateNotFinish = 2020,
        /// <summary>
        /// 单据存在新建或执行中的任务，不允许结单
        /// </summary>
        [Description("单据存在新建或执行中的任务，不允许结单")]
        IsTaskNotFinish = 2021,
        /// <summary>
        /// 存在进行中任务，不允许解绑
        /// </summary>
        [Description("存在进行中任务，不允许解绑")]
        IsTaskNotUnbounding = 2022,
        /// <summary>
        /// 没有当前设备信息，请进行维护
        /// </summary>
        [Description("没有当前设备信息，请进行维护")]
        EquipInfoNotExist = 2023,
        /// <summary>
        /// 存在当前任务
        /// </summary>
        [Description("存在当前任务")]
        WcsTaskExist = 2024,
        /// <summary>
        /// 组盘状态不对，请检查当前的组盘状态
        /// </summary>
        [Description("组盘状态不对，请检查当前的组盘状态")]
        RFIDStockStateFail = 2025,

        /// <summary>
        /// 该接口只允许出库任务调用
        /// </summary>
        [Description("该接口只允许出库任务调用")]
        OnlyStockOutAvil = 2026,
        /// <summary>
        /// 当前单据状态不支持修改
        /// </summary>
        [Description("当前状态不支持修改")]
        StateNotUpdate = 2027,
        /// <summary>
        /// 库存不足
        /// </summary>
        [Description("库存不足")]
        NotEnoughStock = 2028,
        /// <summary>
        /// 没有传巷道号
        /// </summary>
        [Description("没有传巷道号")]
        NotTunnelNum = 2029,
        /// <summary>
        /// 不存在装箱规则数据
        /// </summary>
        [Description("不存在装箱规则数据")]
        NotBoxRule = 2030,
    }
    /// <summary>
    /// 单据类型
    /// </summary>
    public enum DocType
    {
        /// <summary>
        /// 合金满轮入库
        /// </summary>
        [Description("合金镀铜满轮入库单")]
        DocType_HJ_CopperProductStockIn = 1,
        /// <summary>
        /// 湿拉产线领料
        /// </summary>
        [Description("湿拉产线领料")]
        DocType_HJ_WetLinePickMaterApply= 2,
        /// <summary>
        /// 湿拉产线退料
        /// </summary>
        [Description("湿拉产线退料单")]
        DocType_HJ_WetLineBack = 3,
        /// <summary>
        /// 湿拉产线余料
        /// </summary>
        [Description("湿拉产线余料单")]
        DocType_HJ_WetLineLeft = 4,
        /// <summary>
        /// 合金库库存改判
        /// </summary>
        [Description("合金库库存改判")]
        DocType_HJ_WetLineStockChange = 5,
        /// <summary>
        /// 特殊出库领料
        /// </summary>
        [Description("特殊出库领料")]
        DocType_HJ_SpecialStockOut = 6,

        /// <summary>
        /// 湿拉入库单
        /// </summary>
        [Description("湿拉入库单")]
        DocType_FJ_WetStockIn = 7,
        /// <summary>
        /// 合金空轮初始化入库单
        /// </summary>
        [Description("合金空轮初始化入库单")]
        DocType_HJ_EmptyContStockIn = 8,


        /// <summary>
        /// 帘线领料单
        /// </summary>
        [Description("帘线领料单")]
        DocType_FJ_CurtainProductionStockOut = 11,
        /// <summary>
        /// 帘线工序工单
        /// </summary>
        [Description("帘线工序工单")]
        DocType_FJ_CurtainProduction = 12,

    }
    /// <summary>
    /// 盘条单据类型
    /// </summary>
    public enum PtDocType
    {
        /// <summary>
        /// 采购到货单
        /// </summary>
        [Description("采购到货单")]
        Purchase = 1,
        /// <summary>
        /// 采购退货单
        /// </summary>
        [Description("采购退货单")]
        PurReturn = 2,
        /// <summary>
        /// 到货重挂清单
        /// </summary>
        [Description("到货重挂清单")]
        PurError = 3,
        /// <summary>
        /// 生产领料单
        /// </summary>
        [Description("生产领料单")]
        DocType_PT_ProductionStockOut = 4,
        /// <summary>
        /// 生产退料入库单
        /// </summary>
        [Description("生产退料入库单")]
        DocType_PT_ProductionBackStockIn = 5,
        /// <summary>
        /// 库存改判单
        /// </summary>
        [Description("库存改判单")]
        DocType_PT_StateTrans = 6,
    }
    /// <summary>
    /// 单据状态
    /// </summary>
    public enum DocState
    {
        /// <summary>
        /// 新增
        /// </summary>
        [Description("新增")]
        DocState_Create = 1,
        /// <summary>
        /// 执行中
        /// </summary>
        [Description("执行中")]
        DocState_Execute = 2,
        /// <summary>
        /// 完成
        /// </summary>
        [Description("完成")]
        DocState_Complete = 3,
        /// <summary>
        /// 停止
        /// </summary>
        [Description("停止")]
        DocState_Stop = 4,
    }
    /// <summary>
    /// 容器类型
    /// </summary>
    public enum ContainerType
    {
        /// <summary>
        /// RFID
        /// </summary>
        [Description("RFID")]
        ContainerType_RFID = 1,
        /// <summary>
        /// 工字轮条码
        /// </summary>
        [Description("Spool")]
        ContainerType_Spool = 2,
        /// <summary>
        /// 托盘条码
        /// </summary>
        [Description("Pallet")]
        ContainerType_Pallet = 3,
    }


    /// <summary>
    /// 任务类型
    /// </summary>
    public enum TaskType
    {
        /// <summary>
        /// 组盘
        /// </summary>
        [Description("组盘")]
        SetPlate = 0,

        /// <summary>
        /// 入库
        /// </summary>
        [Description("入库")]
        EnterDepot = 1,

        /// <summary>
        /// 出库
        /// </summary>
        [Description("出库")]
        OutDepot = 2,

        /// <summary>
        /// 移库
        /// </summary>
        [Description("移库")]
        TransferDepot = 3,

     
        /// <summary>
        /// 输送
        /// </summary>
        [Description("输送")]
        Delivery = 5,
        /// <summary>
        ///  空轮初始化
        /// </summary>
        [Description("空轮初始化")]
        EmptyInit = 6,
    }

    /// <summary>
    /// 任务状态
    /// </summary>
    public enum TaskStatus
    {
        /// <summary>
        /// 新建
        /// </summary>
        [Description("新建")]
        NewBuild = 0,

        /// <summary>
        /// 待执行
        /// </summary>
        [Description("待执行")]
        WaitingToExecute = 1,

        /// <summary>
        /// 帘线扫码
        /// </summary>
        [Description("帘线扫码")]
        帘线扫码 = 9,

        /// <summary>
        /// 输送机执行中
        /// </summary>
        [Description("输送机执行中")]
        ConveyorExecution = 10,

        /// <summary>
        /// 堆垛机执行
        /// </summary>
        [Description("堆垛机执行")]
        StackerExecution = 20,

        /// <summary>
        /// 堆垛机完成
        /// </summary>
        [Description("堆垛机完成")]
        StackerCompleted = 30,

        /// <summary>
        /// 出库扫码
        /// </summary>
        [Description("出库扫码")]
        出库扫码 = 40,

        /// <summary>
        /// 码垛合流
        /// </summary>
        [Description("码垛合流")]
        码垛合流 = 50,

        /// <summary>
        /// 码垛缓存扫码
        /// </summary>
        [Description("码垛缓存扫码")]
        码垛缓存扫码 = 51,

        /// <summary>
        /// 码垛缓存放行
        /// </summary>
        [Description("码垛缓存放行")]
        码垛缓存放行 = 52,

        /// <summary>
        /// 码垛抓取扫码
        /// </summary>
        [Description("码垛抓取扫码")]
        码垛抓取扫码 = 53,
        /// <summary>
        /// 码垛抓取中
        /// </summary>
        [Description("码垛抓取中")]
        码垛抓取中 = 54,
        /// <summary>
        /// 码垛抓取完成
        /// </summary>
        [Description("码垛抓取完成")]
        码垛抓取完成 = 55,

        /// <summary>
        /// 已完成
        /// </summary>
        [Description("已完成")]
        Finish = 99,

        /// <summary>
        /// 异常
        /// </summary>
        [Description("异常")]
        Error = 100,
        /// <summary>
        /// 已取消
        /// </summary>
        [Description("已取消")]
        Cancel = 106
    }
    ///// <summary>
    ///// 任务类型
    ///// </summary>
    //public enum TaskType
    //{
    //    /// <summary>
    //    /// 入库任务
    //    /// </summary>
    //    [Description("入库任务")]
    //    TaskType_StockIn = 1,
    //    /// <summary>
    //    /// 出库任务
    //    /// </summary>
    //    [Description("出库任务")]
    //    TaskType_StockOut = 2,
    //    /// <summary>
    //    /// 移库任务
    //    /// </summary>
    //    [Description("移库任务")]
    //    TaskType_StockTrans = 3,
    //    /// <summary>
    //    /// 移动任务
    //    /// </summary>
    //    [Description("移动任务")]
    //    TaskType_Move = 4,
    //}
    ///// <summary>
    ///// 任务状态
    ///// </summary>
    //public enum TaskStateEnum
    //{
    //    /// <summary>
    //    /// 新建
    //    /// </summary>
    //    [Description("新建")]
    //    TaskState_Create = 1,
    //    /// <summary>
    //    /// 执行中
    //    /// </summary>
    //    [Description("执行中")]
    //    TaskState_Execute = 2,
    //    /// <summary>
    //    /// 已完成
    //    /// </summary>
    //    [Description("已完成")]
    //    TaskState_Complete = 3,
    //    /// <summary>
    //    /// 已取消
    //    /// </summary>
    //    [Description("已取消")]
    //    TaskState_Cancel = 4,
    //}

    /// <summary>
    /// 库存状态
    /// </summary>
    public enum InvState
    {
        /// <summary>
        /// 已组盘
        /// </summary>
        [Description("已组盘")]
        InvEcecState_BuildUp = 1,
        ///// <summary>
        ///// 入库中
        ///// </summary>
        //[Description("入库中")]
        //InvEcecState_InGoing = 2,
        /// <summary>
        /// 已入库
        /// </summary>
        [Description("已入库")]
        InvEcecState_In = 3,
        /// <summary>
        /// 出库中
        /// </summary>
        [Description("出库中")]
        InvEcecState_OutGoing = 4,
        /// <summary>
        /// 已出库
        /// </summary>
        [Description("已出库")]
        InvEcecState_Out = 5,
    }
    /// <summary>
    ///  出库任务类型
    /// </summary>
    public enum OutTypeEnum
    {
        /// <summary>
        ///  自动出库任务
        /// </summary>
        自动出库任务 = 0,

        /// <summary>
        ///  全自动手动出库任务
        /// </summary>
        全自动手动出库任务 = 1,

        /// <summary>
        ///  半自动手动出库任务
        /// </summary>
        半自动手动出库任务 = 2
    }
    /// <summary>
    /// 库存锁定状态
    /// </summary>
    public enum InvLockState
    {
        /// <summary>
        /// 正常
        /// </summary>
        [Description("正常")]
        InvState_Normal,
        /// <summary>
        /// 锁定
        /// </summary>
        [Description("锁定")]
        InvState_Lock,
    }

    /// <summary>
    /// 任务业务类型
    /// </summary>
    public enum TaskBusType
    {
        /// <summary>
        /// 默认
        /// </summary>
        [Description("默认")]
        TaskBusType_HJ_Def = 0,
        /// <summary>
        /// 镀铜一楼取满
        /// </summary>
        [Description("镀铜一楼取满")]
        TaskBusType_HJ_OneFloorLineStockIn = 1,
        /// <summary>
        /// 一楼立库出空轮
        /// </summary>
        [Description("一楼立库出空轮")]
        TaskBusType_HJ_OneFloorEmptySpoolOut = 2,
        /// <summary>
        /// 镀铜线补空轮
        /// </summary>
        [Description("镀铜线补空轮")]
        TaskBusType_HJ_OneFloorEmptySpoolToLine = 3,
        /// <summary>
        /// 手动出库
        /// </summary>
        [Description("手动出库")]
        TaskBusType_HJ_ManualOut = 4,
        /// <summary>
        /// 二楼空轮初始化入库
        /// </summary>
        [Description("二楼空轮初始化入库")]
        TaskBusType_HJ_EmptySpoolStockIn = 5,
        /// <summary>
        /// 二楼湿拉线退料回立库
        /// </summary>
        [Description("二楼湿拉线退料回立库")]
        TaskBusType_HJ_WetBack = 6,
        /// <summary>
        /// 二楼湿拉线余料回立库
        /// </summary>
        [Description("二楼湿拉线余料回立库")]
        TaskBusType_HJ_WetLeft = 7,
        /// <summary>
        /// 二楼湿拉空轮回立库
        /// </summary>
        [Description("二楼湿拉空轮回立库")]
        TaskBusType_HJ_WetEmpty = 8,

        /// <summary>
        /// 二楼湿拉自动叫料出库
        /// </summary>
        [Description("二楼湿拉自动叫料出库")]
        TaskBusType_HJ_TwoFloorStockOut = 9,

        /// <summary>
        /// 质检回库
        /// </summary>
        [Description("质检回库")]
        TaskBusType_HJ_QualityStockIn = 10,
        /// <summary>
        /// 其他入库
        /// </summary>
        [Description("其他入库")]
        TaskBusType_HJ_OtherStockIn = 11,
        /// <summary>
        /// 采购550工字轮入库
        /// </summary>
        [Description("采购550工字轮入库")]
        TaskBusType_HJ_PurchaseSpoolStockIn = 11,
        /// <summary>
        /// 重挂入库
        /// </summary>
        [Description("重挂入库")]
        TaskBusType_HJ_AnewStockIn = 12,
        /// <summary>
        /// 质检领料
        /// </summary>
        [Description("质检领料")]
        TaskBusType_HJ_QualityOut = 13,
        /// <summary>
        /// 呆滞料出库
        /// </summary>
        [Description("呆滞料出库")]
        TaskBusType_HJ_DullMaterOut = 14,
        /// <summary>
        /// 重挂出库
        /// </summary>
        [Description("重挂出库")]
        TaskBusType_HJ_AnewOut = 15,
        /// <summary>
        /// PDA指定出库
        /// </summary>
        [Description("PDA指定出库")]
        TaskBusType_HJ_PdaManualOut = 15,

        /// <summary>
        /// 一楼空轮初始化入库
        /// </summary>
        [Description("一楼空轮初始化入库")]
        TaskBusType_HJ_OneFloorEmptySpoolStockIn = 16,

        /// <summary>
        /// 移库
        /// </summary>
        [Description("移库")]
        TaskBusType_HJ_Move = 100,
    }
    public enum PtTaskBusType
    {
        /// <summary>
        /// 质检回库
        /// </summary>
        [Description("质检回库")]
        TaskBusType_PT_QualityStockIn = 1,
        /// <summary>
        /// 其他入库
        /// </summary>
        [Description("其他入库")]
        TaskBusType_PT_OtherStockIn = 2,
        /// <summary>
        /// 采购入库单
        /// </summary>
        [Description("采购入库单")]
        TaskBusType_PT_PurchaseStockIn = 3,
        /// <summary>
        /// 重挂入库
        /// </summary>
        [Description("重挂入库")]
        TaskBusType_PT_AnewStockIn = 4,
        /// <summary>
        /// 生产领料
        /// </summary>
        [Description("生产领料")]
        TaskBusType_PT_ProductionStockOut = 5,
        /// <summary>
        /// 生产退料
        /// </summary>
        [Description("生产退料")]
        TaskBusType_PT_ProductionBackStockIn = 6,
    }

    /// <summary>
    /// 时效库任务业务类型
    /// </summary>
    public enum SxTaskBusType
    {
        /// <summary>
        /// 帘线工字轮入库
        /// </summary>
        [Description("帘线工字轮入库")]
        TaskBusType_SX_LineStockIn = 1,
        /// <summary>
        /// 扭转回库
        /// </summary>
        [Description("扭转回库")]
        TaskBusType_SX_TorCheckStockIn = 2,
        /// <summary>
        /// 扭转检测
        /// </summary>
        [Description("扭转检测")]
        TaskBusType_SX_TorCheckStockOut = 3,
        /// <summary>
        /// 装箱码垛
        /// </summary>
        [Description("装箱码垛")]
        TaskBusType_SX_StackStockOut = 4,
        /// <summary>
        /// 异常出库
        /// </summary>
        [Description("异常出库")]
        TaskBusType_SX_ErrorStockOut = 5,
        /// <summary>
        /// 空托输送
        /// </summary>
        [Description("生产退料")]
        TaskBusType_SX_ConterTrans = 6,
    }
    /// <summary>
    /// 成品任务业务类型
    /// </summary>
    public enum CpTaskBusType
    {
        /// <summary>
        /// 空托盘入库
        /// </summary>
        [Description("空托盘入库")]
        TaskBusType_CP_TrayStockIn = 1,
        /// <summary>
        /// 成品入库
        /// </summary>
        [Description("成品入库")]
        TaskBusType_CP_ProductStockIn = 2,
        /// <summary>
        /// 间隔板入库
        /// </summary>
        [Description("间隔板入库")]
        TaskBusType_CP_SpacingBoardStockIn = 3,
        /// <summary>
        /// 空托盘出库
        /// </summary>
        [Description("空托盘出库")]
        TaskBusType_CP_TrayStockOut = 4,
        /// <summary>
        /// 间隔板出库
        /// </summary>
        [Description("间隔板出库")]
        TaskBusType_CP_SpacingBoardStockOut = 5,
        /// <summary>
        /// 移库
        /// </summary>
        [Description("移库")]
        TaskBusType_CP_Move = 100,
    }
    public enum FackbeekType
    {
        /// <summary>
        /// 合金一楼满轮入库反馈
        /// </summary>
        [Description("合金一楼满轮入库反馈")]
        InterfaceType_HJ_1F_StockIn,
        /// <summary>
        /// 合金二楼退料入库反馈
        /// </summary>
        [Description("合金二楼退料入库反馈")]
        InterfaceType_HJ_2F_BackStockIn,
        /// <summary>
        /// 合金二楼余料入库反馈
        /// </summary>
        [Description("合金二楼余料入库反馈")]
        InterfaceType_HJ_2F_LeftStockIn,
        /// <summary>
        /// 改判反馈
        /// </summary>
        [Description("改判反馈")]
        InterfaceType_HJ_StockChanage,
    }

    public enum PtFackbeekType
    {
        /// <summary>
        /// 采购到货单入库反馈
        /// </summary>
        [Description("采购到货单入库反馈")]
        InterfaceType_PT_PurchaseStockIn,
        /// <summary>
        /// 采购退货出库反馈
        /// </summary>
        [Description("采购退货出库反馈")]
        InterfaceType_PT_PurchaseBack,
        /// <summary>
        /// 重挂反馈接口
        /// </summary>
        [Description("重挂反馈接口")]
        InterfaceType_PT_AnewStockIn,
        /// <summary>
        /// 改判反馈
        /// </summary>
        [Description("改判反馈")]
        StateTrans,
        /// <summary>
        /// 生产领料反馈
        /// </summary>
        [Description("生产领料反馈")]
        PickMat,
        /// <summary>
        /// 退料反馈
        /// </summary>
        [Description("退料反馈")]
        ReturnMat,
    }
    public enum fjFackbeekType
    {
        /// <summary>
        /// 湿拉满轮入库反馈
        /// </summary>
        [Description("湿拉满轮入库反馈")]
        InterfaceType_FJ_StockIn,

        /// <summary>
        /// 叫料信息出库反馈
        /// </summary>
        [Description("叫料信息出库反馈")]
        InterfaceType_FJ_StockOut,

        /// <summary>
        /// 余料入库反馈
        /// </summary>
        [Description("余料入库反馈")]
        InterfaceType_FJ_LeftStockIn,

        /// <summary>
        /// 异常料出库反馈
        /// </summary>
        [Description("异常料出库反馈")]
        InterfaceType_FJ_ErrStockOut,

        /// <summary>
        /// B级品出库反馈
        /// </summary>
        [Description("B级品出库反馈")]
        InterfaceType_FJ_BGradeStockOut,

        /// <summary>
        /// 库存改判反馈
        /// </summary>
        [Description("库存改判反馈")]
        InterfaceType_FJ_StockChanage,

        /// <summary>
        /// 库存改判回库反馈
        /// </summary>
        [Description("库存改判回库反馈")]
        InterfaceType_FJ_ChanageBack,
    }

    public enum SxFackbeekType
    {
        /// <summary>
        /// 帘线工字轮入库反馈
        /// </summary>
        [Description("帘线工字轮入库反馈")]
        InterfaceType_SX_CurtainStockIn,
        /// <summary>
        /// 出库装箱反馈
        /// </summary>
        [Description("出库装箱反馈")]
        InterfaceType_SX_CurtainStockOut,
        /// <summary>
        /// 称重上传
        /// </summary>
        [Description("称重上传")]
        InterfaceType_SX_WeightUp,
        /// <summary>
        /// 改判反馈
        /// </summary>
        [Description("改判反馈")]
        InterfaceType_SX_StockChanage,
        /// <summary>
        /// 移库货位变更反馈
        /// </summary>
        [Description("移库货位变更反馈")]
        InterfaceType_SX_CellMove,

        /// <summary>
        /// 异常出库反馈
        /// </summary>
        [Description("异常出库反馈")]
        InterfaceType_SX_ErrorStockOut,
    }
    public enum InvInOutType
    {
        /// <summary>
        /// 入库
        /// </summary>
        [Description("入库")]
        In = 1,

        /// <summary>
        /// 出库
        /// </summary>
        [Description("出库")]
        Out = 2,
    }
    public enum ContGrpType
    {
        /// <summary>
        /// 物料盘
        /// </summary>
        [Description("入库")]
        Material = 1,

        /// <summary>
        /// 空盘
        /// </summary>
        [Description("出库")]
        EmptyCon = 2,
    }
    /// <summary>
    /// 移库返回
    /// </summary>
    public enum WcsContractWcsMoveTaskEnum
    {
        /// <summary>
        /// 失败
        /// </summary>
        [Description("失败")]
        失败 = 0,
        /// <summary>
        /// 允许2升位执行
        /// </summary>
        [Description("允许2升位执行")]
        允许2升位执行 = 1,
        /// <summary>
        /// 执行移库任务
        /// </summary>
        [Description("执行移库任务")]
        执行移库任务 = 2,

        /// <summary>
        /// 一深位有出库任务
        /// </summary>
        [Description("一深位有出库任务")]
        一深位有出库任务 = 3,
    }

    public enum CurtainBillState
    {
        /// <summary>
        /// 初始化
        /// </summary>
        [Description("初始化")]
        初始化 = 1,

        /// <summary>
        /// 已排产
        /// </summary>
        [Description("已排产")]
        已排产 = 2,

        /// <summary>
        /// 生产中
        /// </summary>
        [Description("生产中")]
        生产中 = 3,

        /// <summary>
        /// 生产结束
        /// </summary>
        [Description("生产结束")]
        生产结束 = 4,

        /// <summary>
        /// 计划关闭
        /// </summary>
        [Description("计划关闭")]
        计划关闭 = 5,
    }

    /// <summary>
    ///  出入库类型
    /// </summary>
    public enum SXInvInOutType
    {
        /// <summary>
        ///  默认
        /// </summary>
        [Description("默认")]
        Default = 0,

        /// <summary>
        /// 入库
        /// </summary>
        [Description("入库")]
        In = 1,

        /// <summary>
        /// 出库
        /// </summary>
        [Description("出库")]
        Out = 2,
    }
}
