﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace wms.dto.request.cp.dto
{
    public class WcsRequest
    {
    }
    /// <summary>
    /// 分配货位
    /// </summary>
    public class CpApplyStockInLocRequest : BaseRequest
    {
        /// <summary>
        /// WMS任务号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public int TaskNum { get; set; }
        /// <summary>
        /// 巷道号
        /// </summary>
        public int TunnelNum { get; set; }
        /// <summary>
        /// 取货地点设备编号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string PickUpEquipmentNo { get; set; }
    }
    /// <summary>
    /// 堆垛机出库放货完成
    /// </summary>
    public class CpSrmPickOutCompletedRequest
    {
        /// <summary>
        /// WMS任务号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public int TaskNum { get; set; }
    }
    public class CpApplyLocRequest
    {
        public long WarehuoseId { get; set; }
        public int Size { get; set; }

        public int TunnelNum { get; set; }
        public long MaterialId { get; set; }
        public string MaterialCode { get; set; }
        public bool IsMove { get; set; } = false;
    }
    public class CpManualTaskRequest
    {
        public List<string> Location { get; set; }
        public string EndPoint { get; set; }
        public string? BusType { get; set; }
    }
}
