﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.fj
{
    public class CurtainProductionOrderRequest : BaseRequest
    {

        /// <summary>
        /// 生产订单
        /// </summary>
        public string WorkOrder { get; set; }

        /// <summary>
        /// 帘线生产工序单号
        /// </summary>
        public string BillCode { get; set; }

        /// <summary>
        /// 产出物编码
        /// </summary>
        public string MatCode { get; set; }

        /// <summary>
        /// 投料信息编码
        /// </summary>
        public string FeedCode { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        public string StartTime { get; set; }

        /// <summary>
        /// 码垛总箱数
        /// </summary>
        public int BoxCount { get; set; }

        /// <summary>
        /// 机台号列表
        /// </summary>
        public List<string> WbList { get; set; }

        /// <summary>
        /// 帘线工字轮计划总数
        /// </summary>
        public int PlanQty { get; set; }

        /// <summary>
        /// 装箱规则(1：层配；2：SPC)
        /// </summary>
        public string PackRule { get; set; }

        /// <summary>
        /// 厂区编号
        /// </summary>
        public string FactoryNo { get; set; }

        /// <summary>
        /// 单据状态
        /// </summary>
        public string BillState { get; set; }

        /// <summary>
        /// 箱子信息列表
        /// </summary>
        public List<ListBoxInfoItem> ListBoxInfo { get; set; }

        /// <summary>
        /// sku编码
        /// </summary>
        public string? SkuCode { get; set; }

        public List<ListPackagelnfoItem> ListPackagelnfo { get; set; }

        

        /////<summary>
        /////芯股标记
        /////</summary>
        //public int ProdFlag { get; set; }

        /// <summary>
        /// 每箱最大焊点盘数
        /// </summary>
        public decimal SolderJointMax { get; set; }

        ///// <summary>
        ///// 扭转目标值
        ///// </summary>
        //public string TorsionTargetval { get; set; }
        ///// <summary>
        ///// 扭转目标值范围
        ///// </summary>
        //public string TorsionTargetscope { get; set; }

        /// <summary>
        /// 每箱焊点总数
        /// </summary>
        public decimal HuSolderJointMax { get; set; }
    }

    public class ListBoxInfoItem
    {
        /// <summary>
        /// 箱号
        /// </summary>
        public string? BoxNo { get; set; }

        /// <summary>
        /// 包装编码
        /// </summary>
        public string? PackCode { get; set; }

        /// <summary>
        /// 生产批号
        /// <summary>
        public string? Batch { get; set; }

        /// <summary>
        /// 满数量
        /// </summary>
        public int FullCount { get; set; }

        /// <summary>
        /// 空数量
        /// </summary>
        public int EmptyCount { get; set; }

        /// <summary>
        /// 是否允许焊点盘
        /// </summary>
        public string? IsSolder { get; set; }
        /// <summary>
        /// 绕向
        /// </summary>
        public string? Winding { get; set; }

    }

    public class ListPackagelnfoItem
    {
        public string MaterialCode { get; set; }
        public string MaterialDesc { get; set; }
        public decimal Quantity { get; set; }
        public string PackagingCode { get; set; }
        /// <summary>
        /// 物料单重
        /// </summary>
        public decimal Weight { get; set; }
    }
}
