﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace wms.dto.request
{
    public class ApplyStockInRequestDto
    {
        /// <summary>
        /// 任务号
        /// </summary>
        public int TaskNum { get; set; }
        /// <summary>
        /// 巷道号
        /// </summary>
        public int TunnelNum { get; set; }
        /// <summary>
        /// 取货地点设备编号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string PickUpEquipmentNo { get; set; }

    }

    public class ApplyStockInRequest
    {
        public long MaterialId { get; set; }
        public long MaterialGroupId { get; set; }
        public LocationType LocationType { get; set; }
        public int Tunnel { get; set; }
        public int Size { get; set; }
        public string Grade { get; set; }
        public long BatchId { get; set; }
        public string MaterialState { get; set; }
        public long WarehouseId { get; set; }
        /// <summary>
        /// 是否移库
        /// </summary>
        public bool IsMove { get; set; } = false;

        public int IsAlreadyProduct { get; set; } = 0;
        public string ShelfCode { get; set; }
        public decimal Diameter { get; set; }
    }
}
