﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.sx
{
    public class SxSpoolMaterialInfoTransRequest:BaseRequest
    {
        /// <summary>
        /// 工字轮条码
        /// </summary>
        public string SpoolCode { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 帘线机台号
        /// </summary>
        public string WbCode { get; set; }
        /// <summary>
        /// 帘线机台组号
        /// </summary>
        public string WbGroupCode { get; set; }
        /// <summary>
        /// 工序订单号
        /// </summary>
        public string WorkOrder { get; set; }
        /// <summary>
        /// 工字轮型号
        /// </summary>
        public string SpoolType { get; set; }
        /// <summary>
        /// 长度
        /// </summary>
        public decimal Length { get; set; }
        /// <summary>
        /// 物料净重
        /// </summary>
        public decimal Weight { get; set; }
        /// <summary>
        /// 生产下线时间
        /// </summary>
        public string ProductDate { get; set; }
        /// <summary>
        /// 时效开始计时时间
        /// </summary>
        public string HoldStartDate { get; set; }
        /// <summary>
        /// 是否启用时效
        /// </summary>
        public bool IsHold { get; set; }
        /// <summary>
        /// 是否黑盘
        /// </summary>
        public bool IsBlack { get; set; }
        /// <summary>
        /// 是否芯股
        /// </summary>
        public bool IsCore { get; set; }
        /// <summary>
        /// 等级
        /// </summary>
        public string Grade { get; set; }
        /// <summary>
        /// 是否返工
        /// </summary>
        public bool IsRework { get; set; }
        /// <summary>
        /// 焊点数量
        /// </summary>
        public decimal SolderCount { get; set; }
        /// <summary>
        /// 静置时长
        /// </summary>
        public decimal HoldDuration { get; set; }
        /// <summary>
        /// 是否 扭转检测
        /// </summary>
        public bool IsTorsChk { get; set; }

        /// <summary>
        /// 是否控制盘
        /// </summary>
        public bool IsControl { get; set; }
        /// <summary>
        /// 绕向
        /// </summary>
        public string? Winding { get; set; }

        /// <summary>
        /// 扭转值
        /// </summary>
        public string? OvcValue { get; set; }
        /// <summary>
        /// 是否重投盘
        /// </summary>
        public string ReAutoPackFlag  { get; set; }

        public string Batch { get; set; }
    }

    public class SxSpoolMaterialInfoTrans1Request : BaseRequest
    {
        /// <summary>
        /// 工字轮条码
        /// </summary>
        public string SpoolCode { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 帘线机台号
        /// </summary>
        public string WbCode { get; set; }
        /// <summary>
        /// 帘线机台组号
        /// </summary>
        public string WbGroupCode { get; set; }
        /// <summary>
        /// 工序订单号
        /// </summary>
        public string WorkOrder { get; set; }
        /// <summary>
        /// 工字轮型号
        /// </summary>
        public string SpoolType { get; set; }
        /// <summary>
        /// 长度
        /// </summary>
        public decimal Length { get; set; }
        /// <summary>
        /// 物料净重
        /// </summary>
        public decimal Weight { get; set; }
        /// <summary>
        /// 生产下线时间
        /// </summary>
        public DateTime ProductDate { get; set; }
        /// <summary>
        /// 时效开始计时时间
        /// </summary>
        public DateTime HoldStartDate { get; set; }
        /// <summary>
        /// 是否启用时效
        /// </summary>
        public bool IsHold { get; set; }
        /// <summary>
        /// 是否黑盘
        /// </summary>
        public bool IsBlack { get; set; }
        /// <summary>
        /// 是否芯股
        /// </summary>
        public bool IsCore { get; set; }
        /// <summary>
        /// 等级
        /// </summary>
        public string Grade { get; set; }
        /// <summary>
        /// 是否返工
        /// </summary>
        public bool IsRework { get; set; }
        /// <summary>
        /// 焊点数量
        /// </summary>
        public int SolderCount { get; set; }
        /// <summary>
        /// 静置时长
        /// </summary>
        public decimal HoldDuration { get; set; }
        /// <summary>
        /// 是否 扭转检测
        /// </summary>
        public bool IsTorsChk { get; set; }

        /// <summary>
        /// 是否控制盘
        /// </summary>
        public bool IsControl { get; set; }
        /// <summary>
        /// 楼层
        /// </summary>
        public int Floor { get; set; }
        public string EquNo { get; set; }
    }
}
