﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace wms.dto.request.sx
{
    public class SxStockChangeRequest:BaseRequest
    {
        /// <summary>
        /// 单号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string BillCode { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WareCode { get; set; }
        /// <summary>
        /// 过账凭证号
        /// </summary>
        public string ReqId { get; set; }
        /// <summary>
        /// 改判信息列表
        /// </summary>
        public List<SxStockChangeRequestItem> ListInfo { get; set; }
    }
    public class SxStockChangeRequestItem
    {
        /// <summary>
        /// 工字轮条码
        /// </summary>
        public string SpoolCode { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
        /// <summary>
        /// 等级
        /// </summary>
        public string Grade { get; set; }
        /// <summary>
        /// 改判状态(锁定/放行/快投/取消快投：Lock/Normal/Fast/UnFast)
        /// </summary>
        public string State { get; set; }
        /// <summary>
        /// 原因
        /// </summary>
        public string Reason { get; set; }
        /// <summary>
        /// 新扭转值
        /// </summary>
        public string NewTorsValue { get; set; }

    }
}
