﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.sx
{
    public class WcsTaskRequest : BaseRequest
    {
        public string Code { get; set; }
        public string Equip { get; set; }
        public string WareHouse { get; set; }
    }
    public class AutoDetailRequest
    {
        public string Id { get; set; } = "0";
    }
    public class DetailCodeStrRequest
    {
        public string Code { get; set; }
        public string? Cell { get; set; }
        public string? WareHouse { get; set; }
    }
    public class TorsChkStockOutRequest : BaseRequest
    {
        public string Equip { get; set; }
    }
    public class PalletizingPackStockOutRequest : BaseRequest
    {
        public string Equip { get; set; }
    }
    public class ManualPalletizingStockOutRequest : BaseRequest
    {
        public string Sku { get; set; }
        public string WbGroupCode { get; set; }
        public string Wind { get; set; }
        public string HwType { get; set; }
        public string IsTimeOut { get; set; }
        public string Equip { get; set; }
    }
    public class DetailCodeStrdtoRequest
    {
        public List<string> Location { get; set; }
        public int EndPoint { get; set; }
        public string User { get; set; } = "";
    }
    public class TrayGroupOutRequest
    {
        /// <summary>
        /// 位置码
        /// </summary>
        public string Equip { get; set; }
        /// <summary>
        /// 托盘编码
        /// </summary>
        public string Code { get; set; }
        public string? WareHouse { get; set; }
    }
    public class PalletizingPackTaskRequest
    {
        public string Code { get; set; }
        public string Equip { get; set; }
        public string Tunnel { get; set; }
        public string Mater { get; set; }
        public string Srm { get; set; }
        public string CellCode { get; set; }
        /// <summary>
        /// 码垛层
        /// </summary>
        public int PalletLayer { get; set; }
        public string Grade { get; set; }
        public string SkuCode { get; set; }
        /// <summary>
        /// 生产机台
        /// </summary>
        public string ProductMachCode { get; set; }
        /// <summary>
        /// 机器人编号
        /// </summary>
        public string Robot { get; set; }
        public int Floor { get; set; }
        public long PalletizingId { get; set; }
        /// <summary>
        /// 工字轮尺寸
        /// </summary>
        public int GoodsType { get; set; }
        public string Memo { get; set; }
        public int DocId { get; set; } = 0;
    }
    public class TorsChkFloorRequest
    {
        /// <summary>
        /// 任务数
        /// </summary>
        public int Count { get; set; }

    }
    public class PalletizingPatchWheelRequest : BaseRequest
    {
        public int TaskNum { get; set; }
        /// <summary>
        /// 扫码设备号
        /// </summary>
        public string Equip { get; set; }
    }
    public class PalletizingForceknotRequest
    {
        /// <summary>
        /// 码垛工位
        /// </summary>
        public string Equip { get; set; }
    }
    public class PalletizinginfobindeRequest
    {
        /// <summary>
        /// 任务号
        /// </summary>
        public List<int> TaskNum { get; set; }
        public string Equip { get; set; }
    }
    public class TorsChkCompleteRequest : BaseRequest
    {
        /// <summary>
        /// 任务号
        /// </summary>
        public string TaskNo { get; set; }
    }
    public class TrayPortageRequest
    {
        /// <summary>
        /// 位置码
        /// </summary>
        public string Equip { get; set; }
        /// <summary>
        /// 托盘编码
        /// </summary>
        public string Code { get; set; }
        public string? WareHouse { get; set; }
        public string Start { get; set; }
        public int ActType { get; set; }
    }
}
