﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.response.fj
{
    /// <summary>
    /// 实时库存查询响应实体
    /// </summary>
    public class GetFJCurStockListResponse : SRes
    {
        /// <summary>
        /// 总条数
        /// </summary>
        public int TotalCount { get; set; }
        /// <summary>
        /// 返回数据明细
        /// </summary>
        public List<FJResDataItem> ResData { get; set; }
    }
    public class FJResDataItem
    {
        /// <summary>
        /// 托盘号
        /// </summary>
        public string ConBarCode { get; set; }
        /// <summary>
        /// 工字轮号
        /// </summary>
        public string HWBarCode { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 物料名称
        /// </summary>
        public string MatName { get; set; }
        /// <summary>
        /// 大类代码
        /// </summary>
        public string HeadTypeCode { get; set; }
        /// <summary>
        /// 叶类代码
        /// </summary>
        public string LeafTypeCode { get; set; }
        /// <summary>
        /// 规格
        /// </summary>
        public string Describe { get; set; }

 
        /// <summary>
        /// 是否启用时效
        /// </summary>
        public bool IsHold { get; set; }
        /// <summary>
        /// 时效时长
        /// </summary>
        public decimal HoldDuration { get; set; }
        /// <summary>
        /// 单重单位
        /// </summary>
        public string WeightUnit { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        public DateTime UpdatedTime { get; set; }
        /// <summary>
        /// 货位编码
        /// </summary>
        public string LocCode { get; set; }
        /// <summary>
        /// 行
        /// </summary>
        public string LocRow { get; set; }
        /// <summary>
        /// 列
        /// </summary>
        public string LocCell { get; set; }
        /// <summary>
        /// 层
        /// </summary>
        public string LocLayer { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WareCode { get; set; }
    }
}
