﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.response.hj
{
    /// <summary>
    /// 实时库存查询响应实体
    /// </summary>
    public class GetCurStockListResponse : SRes
    {
        /// <summary>
        /// 总条数
        /// </summary>
        public int TotalCount { get; set; }
        /// <summary>
        /// 返回数据明细
        /// </summary>
        public List<ResDataItem> ResData { get; set; }
    }
    public class ResDataItem
    {
        /// <summary>
        /// RFID值
        /// </summary>
        public string RFID { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 物料名称
        /// </summary>
        public string MatName { get; set; }
        /// <summary>
        /// 大类代码
        /// </summary>
        public string HeadTypeCode { get; set; }
        /// <summary>
        /// 叶类代码
        /// </summary>
        public string LeafTypeCode { get; set; }
        /// <summary>
        /// 规格
        /// </summary>
        public string Describe { get; set; }
        /// <summary>
        /// 强度
        /// </summary>
        public string Strength { get; set; }
        /// <summary>
        /// 镀层
        /// </summary>
        public string Plating { get; set; }
        /// <summary>
        /// 镀层克重
        /// </summary>
        public decimal PlatingWeight { get; set; }
        /// <summary>
        /// 镀层主元素含量
        /// </summary>
        public decimal PlatingConQty { get; set; }
        /// <summary>
        /// 线密度
        /// </summary>
        public decimal Linear { get; set; }
        /// <summary>
        /// 是否启用时效
        /// </summary>
        public bool IsHold { get; set; }
        /// <summary>
        /// 时效时长
        /// </summary>
        public decimal HoldDuration { get; set; }
        /// <summary>
        /// 单重单位
        /// </summary>
        public string WeightUnit { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        public DateTime UpdatedTime { get; set; }
        /// <summary>
        /// 货位编码
        /// </summary>
        public string LocCode { get; set; }
        /// <summary>
        /// 行
        /// </summary>
        public string LocRow { get; set; }
        /// <summary>
        /// 列
        /// </summary>
        public string LocCell { get; set; }
        /// <summary>
        /// 层
        /// </summary>
        public string LocLayer { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WareCode { get; set; }
    }
}
