﻿using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using System.Text;
using wms.dto.request;
using wms.dto.request.cp;
using wms.dto.request.cp.dto;
using wms.dto.request.share;
using wms.dto.response;
using wms.dto.response.cp;
using wms.sqlsugar.model;
using wms.sqlsugar.model.cp;

namespace wms.service.IService
{
    public interface ICPService
    {
        public string GetSysConfigContentByCode(string code);
        public bool SyncMaterInfo(List<CPSyncMaterInfoResponseItem> ResData);
        public cpSysConfig GetSysConfigByCode(string code);
        public cpSysConfig GetSysConfigByExpression(Expression<Func<cpSysConfig, bool>> WhereExpression);
        public cpBaseMatinfo GetBaseMaterByExpression(Expression<Func<cpBaseMatinfo, bool>> WhereExpression);
        /// <summary>
        /// 获取反馈信息列表
        /// </summary>
        /// <param name="WhereExpression"></param>
        /// <returns></returns>
        public List<cpBillPushinfo> GetBillFeedbackList(Expression<Func<cpBillPushinfo, bool>> WhereExpression);
        public bool UpdateSysConfigModelColumns(UpdateModelColumns<cpSysConfig> updateModel);
        public SRes SalesDocTrans(SalesDocTransRequest reqDto);
        public SRes SalesBackDocTrans(SalesDocTransRequest reqDto);
        public SRes ComPushApiResInfo(ComPushApiResInfoRequest reqDto);
        public SRes ErrorMaterialStockOut(ErrorMaterialStockOutRequest reqDto);
        public SRes StockChange(CpStockChangeRequest reqDto);
        public StockStateChangeResponse StockStateChange(StockStateChangeRequest reqDto);
        SRes PdaGroupStock(SouthPdaRequest request);
        SRes PdaTrayTaskOut(TrayGroupOutRequest request);
        SRes InsertWCSInTask(TrayGroupOutRequest request);
        SRes<string> GetCpTunnelPriorityList(GetTunnelPriorityListRequest reqEntity);
        SRes<int> CpCompleteTask(CompleteTaskRequest reqDto);
        SRes<CpApplyStockInLocResponse> CpApplyStockInLoc(CpApplyStockInLocRequest request);
        SRes CpWareCellInit(int row, int col, int deot, int rowcount, int tun);
        SRes InsertSys();
        SRes ManualTask(CpManualTaskRequest request);
        SRes<int> CpSrmPickOutCompleted(CpSrmPickOutCompletedRequest request);
        SRes<WcsMoveTaskResponse> WcsMoveTask(WcsMoveTaskRequest request);
    }
}
