﻿using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using System.Text;
using wms.dto.request;
using wms.dto.request.fj;
using wms.dto.request.cp;
using wms.dto.request.hj;
using wms.dto.request.hj.dto;
using wms.dto.request.share;
using wms.dto.request.sx;
using wms.dto.response;
using wms.dto.response.cp;
using wms.dto.response.hj;
using wms.dto.response.sx;
using wms.sqlsugar.model;
using wms.sqlsugar.model.sx;

namespace wms.service.IService
{
    public interface ISXService
    {
        public string GetSysConfigContentByCode(string code);
        public bool SyncMaterInfo(List<SxSyncMaterInfoRequestItem> ResData);
        public sxSysConfig GetSysConfigByCode(string code);
        public sxSysConfig GetSysConfigByExpression(Expression<Func<sxSysConfig, bool>> WhereExpression);

        public bool UpdateSysConfigModelColumns(UpdateModelColumns<sxSysConfig> updateModel);
        public SRes SpoolMaterialInfoTrans(SxSpoolMaterialInfoTransRequest reqDto);

        /// <summary>
        /// 关闭工单
        /// </summary>
        /// <param name="reqDto"></param>
        /// <returns></returns>
        public SRes CloseWorkOrder(CloseWorkOrderRequest reqDto);

        /// <summary>
        /// 同步箱号状态
        /// </summary>
        /// <param name="reqDto"></param>
        /// <returns></returns>
        public SRes SynchronizeBoxStatus(SynchronizeBoxStatusRequest reqDto);
        public SRes<ApplyFloorResponse> ApplyFloor(ApplyFloorRequest reqDto);
        public SRes SKUInfoTrans(SKUInfoTransRequest reqDto);
        public SRes PackInfoTrans(PackInfoTrans reqDto);
        public SRes<string> GetTunnelPriorityList(GetSxTunnelPriorityListRequest reqEntity);
        public SRes StockChange(SxStockChangeRequest reqDto);
        SRes<List<ApplyStockInLocResponse>> ApplyStockInLoc(SxApplyStockInLocRequest reqEntity);
        SRes<int> CompleteTask(SxCompleteTaskRequest reqDto);
        public List<BillPushinfo> GetPushDatelistAuto(PushDate request);
        public bool UpdatePushModelColumns(UpdateModelColumns<BillPushinfo> updateModel);
        SRes InitWareCell(int row, int col, int deot, int rowcount, int tun);
        SRes<int> TorsChkComplete(TorsChkCompleteRequest request);
        sxSysJob GetJobEntityByid(string id);
        sxSysJob GetJobEntityByCode(string Code);
        List<sxSysJobApiRelation> GetJobapilist(long id);
        List<sxSysJob> GetJobList();
        SRes TorsChkStockOut(TorsChkStockOutRequest request);
        SRes CancelTaskVerify(CancelTaskRequest request);
        SRes CarryTaskInfo(CancelTaskRequest request);
        SRes CancelTask(CompleteTaskRequest request);
        SRes PalletizingLayerPackStockOut(PalletizingPackStockOutRequest request);
        SRes TorsChkValue(TorsChkValueRequest request);
        SRes Manaler(DetailCodeStrdtoRequest request);
        SRes<int> SrmCompleted(SxCompleteTaskRequest reqDto);
        public SRes CurtainProductionOrder(CurtainProductionOrderRequest reqDto);
        SRes<int> TorsChkFloor(TorsChkFloorRequest reqDto);
        SRes PalletizingPatchWheel(PalletizingPatchWheelRequest request);
        SRes PalletizingForceknot(PalletizingForceknotRequest request);
        SRes Palletizinginfobinde(PalletizinginfobindeRequest request);
        SRes<int> CompletePalletizingTask(SxPalletizingCompleteRequest reqDto);
        SRes<WcsMoveTaskResponse> WcsMoveTask(WcsMoveTaskRequest request);
        public SRes PalletizingSpcNotPackStockOut2(PalletizingPackStockOutRequest request);
        public SRes PalletizingSpcNotPackStockOut3(PalletizingPackStockOutRequest request);
        public SRes PalletizingSpcNotPackRulePre(PalletizingPackStockOutRequest request);
        SRes PalletizingSpcNotPackRulePre2(PalletizingPackStockOutRequest request);

        public SRes PalletizingSpcPackStockOut2(PalletizingPackStockOutRequest request);
        public SRes PalletizingSpcPackStockOut3(PalletizingPackStockOutRequest request);
        public SRes PalletizingSpcPackRulePre(PalletizingPackStockOutRequest request);
        SRes TorsChkStationbinde(TorsChkStationbindeRequest request);
        SRes UpdateBlackCount(UpdateBlackCountReq request);
        SRes TorsChkErrorinfo(TorsChkErrorinfoRequest request);
        TorsChkResponse GetTorsChkinfo(GetTorsChkinfoRequest request);
        SRes CellInfo(string code);
        SRes GetMesErrorInfo(SxErrorinfoRequest request);
        SRes PalletizingPackBStockOut(PalletizingPackStockOutRequest request);
        CurStockListResponse GetCurStockList(CurStockListRequest request);
        public SRes UpdateBoxNo(UpdateBoxNoRequest request);
        SRes SolderErrorStockOut(PalletizingPackStockOutRequest request);
        SRes ChongraoPackStockOut(PalletizingPackStockOutRequest request);
        SRes ForceCancelTask(ErrorTaskRequest request);
        SRes DeleteStockInfo(DetailCodeStrRequest request);
        SRes DeleteTorsBind(DetailCodeStrRequest request);
        SRes DeleteHwPre(DetailCodeStrRequest request);
        SRes UpdateStockState(DetailCodeStr1Requestdto request);
        SRes UpdateCellState(DetailCodeStr1Requestdto request);
        SRes DataSwapCell(DataSwapCellStrRequest request);
        SRes DataBasePatch(DataBasePatchRequest request);
        SRes DataBasePatch2(DataBasePatchRequest request);
        SRes DataBasePatch3(DataBasePatchRequest request);
        SRes UpdatePurchState(UpdatePurchStateRequestdto request);
        SRes DataMoveCell(DataSwapCellStrRequest request);
        SRes TaskRepeatSend(TaskRepeatRequest request);
        SRes UpdateTaskState(UpdateTaskStateRequest request);
        SRes SpecialStockOut(PalletizingPackStockOutRequest request);
        SRes ManualPalletizingStockOut(ManualPalletizingStockOutRequest request);
        SRes OnePackStock(PalletizingPackStockOutRequest request);
        public SRes<bool> IsExistTask(DetailCodeRequest request);
        public SRes<string> GetLocationInfo(DetailCodeRequest request);
        SRes CGrageStockOut(PalletizingPackStockOutRequest request);
        SRes CancelPreStockinfo(CancelPreStockinfoRequest request);
        SRes<GetTorsRangeRes> GetTorsRange(DetailCodeRequest request);
        public SRes<string> GetCGradeList();
        public SRes<string> GetBGradeTimeOutList();
        SRes ErrorDateclearJob();
        SRes FlowDataMoveJob(PalletizingPackStockOutRequest request);
        SRes RemoveTaskData(PalletizingPackStockOutRequest request);
    }
}
