﻿using System; 
using System.Collections.Generic;
using SqlSugar;

namespace wms.sqlsugar.model.cp
{
    [Tenant("cp")]
    [SugarTable("Base_MatInfo")]
    public partial class cpBaseMatinfo:BaseModel
    { 
     
        /// <summary> 
        /// WarehouseId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long WarehouseId { get; set; }

        /// <summary> 
        /// Code
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string Code { get; set; }

        /// <summary> 
        /// Name
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 200  , IsNullable = false )]
        public string Name { get; set; }

        /// <summary> 
        /// ShortDesc
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string ShortDesc { get; set; }

        /// <summary> 
        /// FullDesc
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 500  , IsNullable = true )]
        public string FullDesc { get; set; }

        /// <summary> 
        /// ExtDesc
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 500  , IsNullable = true )]
        public string ExtDesc { get; set; }

        /// <summary> 
        /// Enname
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string Enname { get; set; }

        /// <summary> 
        /// MatGrpId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long MatGrpId { get; set; }

        /// <summary> 
        /// Leafcode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string Leafcode { get; set; }

        /// <summary> 
        /// LeafName
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string LeafName { get; set; }

        /// <summary> 
        /// MidCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string MidCode { get; set; }

        /// <summary> 
        /// MidName
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string MidName { get; set; }

        /// <summary> 
        /// HeadCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string HeadCode { get; set; }

        /// <summary> 
        /// HeadName
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string HeadName { get; set; }

        /// <summary> 
        /// Description
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string Description { get; set; }

        /// <summary> 
        /// Texture
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string Texture { get; set; }

        /// <summary> 
        /// FigureNo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string FigureNo { get; set; }

        /// <summary> 
        /// Strength
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string Strength { get; set; }

        /// <summary> 
        /// Plating
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string Plating { get; set; }

        /// <summary> 
        /// PlatingWeight
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18 , DecimalDigits = 6, IsNullable = true )]
        public decimal? PlatingWeight { get; set; }

        /// <summary> 
        /// PlatingContQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18 , DecimalDigits = 6, IsNullable = true )]
        public decimal? PlatingContQty { get; set; }

        /// <summary> 
        /// Linear
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18 , DecimalDigits = 6, IsNullable = true )]
        public decimal? Linear { get; set; }

        /// <summary> 
        /// ProCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string ProCode { get; set; }

        /// <summary> 
        /// ProName
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string ProName { get; set; }

        /// <summary> 
        /// ProStre
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string ProStre { get; set; }

        /// <summary> 
        /// LinearMax
        /// </summary> 
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 6, IsNullable = true)]
        public decimal? LinearMax { get; set; }

        /// <summary> 
        /// LinearMin
        /// </summary> 
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 6, IsNullable = true)]
        public decimal? LinearMin { get; set; }

        /// <summary> 
        /// LinearTar
        /// </summary> 
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 6, IsNullable = true)]
        public decimal? LinearTar { get; set; }

        /// <summary> 
        /// Mono
        /// </summary> 
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 6, IsNullable = true)]
        public decimal? Mono { get; set; }

        /// <summary> 
        /// SpoolType
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string SpoolType { get; set; }

        /// <summary> 
        /// SpoolCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string SpoolCode { get; set; }

        /// <summary> 
        /// Length
        /// </summary> 
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 6, IsNullable = true)]
        public decimal? Length { get; set; }

        /// <summary> 
        /// OilQty
        /// </summary> 
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 6, IsNullable = true)]
        public decimal? OilQty { get; set; }

        /// <summary> 
        /// LubType
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string LubType { get; set; }

        /// <summary> 
        /// LineSpace
        /// </summary> 
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 6, IsNullable = true)]
        public decimal? LineSpace { get; set; }

        /// <summary> 
        /// LineLength
        /// </summary> 
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 6, IsNullable = true)]
        public decimal? LineLength { get; set; }

        /// <summary> 
        /// LayDirect
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string LayDirect { get; set; }

        /// <summary> 
        /// CumIndex
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string CumIndex { get; set; }

        /// <summary> 
        /// IsSolder
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string IsSolder { get; set; }

        /// <summary> 
        /// SkuCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string SkuCode { get; set; }

        /// <summary> 
        /// SkuDesc
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 200  , IsNullable = true )]
        public string SkuDesc { get; set; }

        /// <summary> 
        /// Tors
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string Tors { get; set; }

        /// <summary> 
        /// PackGrpId
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string PackGrpId { get; set; }

        /// <summary> 
        /// BlackSamp
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string BlackSamp { get; set; }

        /// <summary> 
        /// BlackChk
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string BlackChk { get; set; }

        /// <summary> 
        /// CustCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string CustCode { get; set; }

        /// <summary> 
        /// CustName
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string CustName { get; set; }

        /// <summary> 
        /// AddressCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string AddressCode { get; set; }

        /// <summary> 
        /// AddressName
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string AddressName { get; set; }

        /// <summary> 
        /// Qty
        /// </summary> 
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 6, IsNullable = true)]
        public decimal? Qty { get; set; }

        /// <summary> 
        /// BoxMaxSolder
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18 , DecimalDigits = 6, IsNullable = true )]
        public decimal? BoxMaxSolder { get; set; }

        /// <summary> 
        /// SpoolMaxSolder
        /// </summary> 
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 6, IsNullable = true)]
        public decimal? SpoolMaxSolder { get; set; }

        /// <summary> 
        /// Ovc
        /// </summary> 
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 6, IsNullable = true)]
        public decimal? Ovc { get; set; }

        /// <summary> 
        /// DrummLevel
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string DrummLevel { get; set; }

        /// <summary> 
        /// ComCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string ComCode { get; set; }

        /// <summary> 
        /// ComName
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string ComName { get; set; }

        /// <summary> 
        /// CalcUnit
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 10  , IsNullable = true )]
        public string CalcUnit { get; set; }

        /// <summary> 
        /// StockUnit
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 10  , IsNullable = true )]
        public string StockUnit { get; set; }

        /// <summary> 
        /// Weight
        /// </summary> 
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 6, IsNullable = true)]
        public decimal? Weight { get; set; }

        /// <summary> 
        /// WeightUnit
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 10  , IsNullable = true )]
        public string WeightUnit { get; set; }

        /// <summary> 
        /// IsHold
        /// </summary> 
        [SugarColumn(ColumnDataType ="bit" , IsNullable = false )]
        public bool IsHold { get; set; }

        /// <summary> 
        /// HoldDuration
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18 , DecimalDigits = 6, IsNullable = false )]
        public decimal HoldDuration { get; set; }
    }
}

