﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.hj
{
    [Tenant("hj")]
    [SugarTable("bill_inventory", "库存表")]
    public class hjBillInventory : BaseModel
    {
        /// <summary>
        /// 单据号
        /// </summary>
        [SugarColumn(ColumnName = "bill_code", ColumnDataType = "nvarchar", Length = 100)]
        public string BillCode { get; set; }
        /// <summary>
        /// 单据明细Id
        /// </summary>
        [SugarColumn(ColumnName = "bill_row_id")]
        public long BillRowId { get; set; }
        /// <summary>
        /// 当前库存数量
        /// </summary>
        [SugarColumn(ColumnName = "cur_qty", Length = 18 ,DecimalDigits = 6)]
        public decimal CurQty { get; set; }
        /// <summary>
        /// 出入库数量
        /// </summary>
        [SugarColumn(ColumnName = "qty", Length = 18, DecimalDigits = 6)]
        public decimal Qty { get; set; }
        /// <summary>
        /// 炉号
        /// </summary>
        [SugarColumn(ColumnName = "boiler_no", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string BoilerNo { get; set; }
        /// <summary>
        /// 包号
        /// </summary>
        [SugarColumn(ColumnName = "pack_no", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string PackNo { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        [SugarColumn(ColumnName = "mat_barcode", ColumnDataType = "nvarchar", Length = 50)]
        public string MatBarCode { get; set; }
        /// <summary>
        /// RFID
        /// </summary>
        [SugarColumn(ColumnName = "rfid", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string RFID { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnName = "state", ColumnDataType = "nvarchar", Length = 10, IsNullable = true)]
        public string State { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        [SugarColumn(ColumnName = "mat_code", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string MatCode { get; set; }
        /// <summary>
        /// 组盘明细Id
        /// </summary>
        [SugarColumn(ColumnName = "stock_row_id", IsNullable = true)]
        public long StockRowId { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        [SugarColumn(ColumnName = "ware_code", ColumnDataType = "nvarchar", Length = 50)]
        public string WareCode { get; set; }
        /// <summary>
        /// 快投标记
        /// </summary>
        [SugarColumn(ColumnName = "is_fast", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string IsFast { get; set; }
        /// <summary>
        /// 等级
        /// </summary>
        [SugarColumn(ColumnName = "grade", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string Grade { get; set; }
        /// <summary>
        /// 改手盘标记
        /// </summary>
        [SugarColumn(ColumnName = "is_surplus", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string IsSurplus { get; set; }
        /// <summary>
        /// 返工标记
        /// </summary>
        [SugarColumn(ColumnName = "is_rework", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string IsRework { get; set; }
        /// <summary>
        /// 箱号
        /// </summary>
        [SugarColumn(ColumnName = "box_no", ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string BoxNo { get; set; }
        /// <summary>
        /// 预留字段1
        /// </summary>
        [SugarColumn(ColumnName = "default1", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string Default1 { get; set; }
        /// <summary>
        /// 预留字段2
        /// </summary>
        [SugarColumn(ColumnName = "default2", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string Default2 { get; set; }
        /// <summary>
        /// 预留字段3
        /// </summary>
        [SugarColumn(ColumnName = "default3", ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string Default3 { get; set; }
    }
}
