﻿using SqlSugar;
using System;
using wms.dto;

namespace wms.sqlsugar.model.sx
{
    /// <summary>
    ///  货位表
    /// </summary>
    [Tenant("sx")]
    [SugarTable("Base_WareCell")]
    public partial class BaseWarecell : BaseModel
    {
        /// <summary>
        ///  仓库ID
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long WarehouseId { get; set; }

        /// <summary>
        /// 仓库编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string WarehouseCode { get; set; }

        /// <summary>
        ///  库区ID
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long WareAreaId { get; set; }

        /// <summary>
        ///  是否停用 0正常 1停用
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int IsStop { get; set; }

        /// <summary>
        ///  货位编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string Code { get; set; }

        /// <summary>
        ///  货位名称
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = false)]
        public string Name { get; set; }

        /// <summary>
        ///  货位状态
        /// </summary>
        [SugarColumn(IsNullable = false)]
        public LocationState StateNum { get; set; }

        /// <summary>
        ///  货位类型
        /// </summary>
        [SugarColumn(IsNullable = false)]
        public LocationType TypeNum { get; set; }

        /// <summary>
        ///  货位大小
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public long Size { get; set; }

        /// <summary>
        ///  行
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int Row { get; set; }

        /// <summary>
        ///  列
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int Col { get; set; }

        /// <summary>
        ///  层
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int Layer { get; set; }

        /// <summary>
        ///  深度
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int Depth { get; set; }

        /// <summary>
        ///  巷道
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int Tunnel { get; set; }

        /// <summary>
        ///  堆垛机
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string SCRel { get; set; }

        /// <summary>
        ///  容器ID
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint", IsNullable = true)]
        public long? ContGrpId { get; set; }

        /// <summary>
        ///  容器编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string ContGrpBarCode { get; set; }

        /// <summary>
        ///  货架
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string Shelf { get; set; }

        /// <summary>
        ///  楼层
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int Floor { get; set; }

    }
}
