﻿using System; 
using System.Collections.Generic;
using SqlSugar;

namespace wms.sqlsugar.model.sx
{
    /// <summary>
    ///  流水表
    /// </summary>
    [Tenant("sx")]
    [SugarTable("Bill_InvFlow")]
    public partial class BillInvflow : BaseModel
    { 
        /// <summary> 
        ///  仓库ID
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long WarehouseId { get; set; }

        /// <summary> 
        ///  容器ID
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long ContGrpId { get; set; }

        /// <summary> 
        ///  容器编号
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string ContGrpBarCode { get; set; }


        /// <summary> 
        /// 组盘类型(1物料盘 2空盘)
        /// </summary> 
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int ContGrpType { get; set; }

        /// <summary> 
        /// BoxBarCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string BoxBarCode { get; set; }

        /// <summary> 
        /// BomDocsNo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string BomDocsNo { get; set; }

        /// <summary> 
        /// BomMatId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long BomMatId { get; set; }

        /// <summary> 
        /// BomMatCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string BomMatCode { get; set; }

        /// <summary> 
        /// BomMatName
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string BomMatName { get; set; }

        /// <summary> 
        /// BomSetId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long BomSetId { get; set; }

        /// <summary> 
        /// ExecStateCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string ExecStateCode { get; set; }

        /// <summary> 
        /// ExecDocsNo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string ExecDocsNo { get; set; }

        /// <summary> 
        /// ExecDocsRowNo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string ExecDocsRowNo { get; set; }

        /// <summary> 
        /// ExecDocsTypeCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string ExecDocsTypeCode { get; set; }

        /// <summary> 
        /// InvInOut
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int InvInOut { get; set; }

        /// <summary> 
        /// ExecWho
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string ExecWho { get; set; }

        /// <summary> 
        /// ExecTime
        /// </summary> 
        [SugarColumn(ColumnDataType ="datetime" ,  IsNullable = false )]
        public DateTime ExecTime { get; set; }

        /// <summary> 
        /// PutRow
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int PutRow { get; set; }

        /// <summary> 
        /// PutCol
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int PutCol { get; set; }

        /// <summary> 
        /// PutLayer
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int PutLayer { get; set; }

        /// <summary> 
        /// InvBarCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string InvBarCode { get; set; }

        /// <summary> 
        /// InvStateCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string InvStateCode { get; set; }

        /// <summary> 
        /// InDocsNo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string InDocsNo { get; set; }

        /// <summary> 
        /// InDocsRowNo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string InDocsRowNo { get; set; }

        /// <summary> 
        /// SuppCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string SuppCode { get; set; }

        /// <summary> 
        /// SuppName
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string SuppName { get; set; }

        /// <summary> 
        /// CustCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string CustCode { get; set; }

        /// <summary> 
        /// CustName
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string CustName { get; set; }

        /// <summary> 
        /// MatId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long MatId { get; set; }

        /// <summary> 
        /// MatCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string MatCode { get; set; }

        /// <summary> 
        /// MatName
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string MatName { get; set; }

        /// <summary> 
        /// TolWQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18  , IsNullable = false )]
        public decimal TolWQty { get; set; }

        /// <summary> 
        /// NetWQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18  , IsNullable = false )]
        public decimal NetWQty { get; set; }

        /// <summary> 
        /// TareWQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18  , IsNullable = false )]
        public decimal TareWQty { get; set; }

        /// <summary> 
        /// LengthQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18  , IsNullable = false )]
        public decimal LengthQty { get; set; }

        /// <summary> 
        /// CaQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18  , IsNullable = false )]
        public decimal CaQty { get; set; }

        /// <summary> 
        /// SolderQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18  , IsNullable = false )]
        public decimal SolderQty { get; set; }

        /// <summary> 
        /// ContUsageQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int ContUsageQty { get; set; }

        /// <summary> 
        /// BatchNo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string BatchNo { get; set; }

        /// <summary> 
        /// ProductTime
        /// </summary> 
        [SugarColumn(ColumnDataType ="datetime" ,  IsNullable = false )]
        public DateTime ProductTime { get; set; }

        /// <summary> 
        /// OneInTime
        /// </summary> 
        [SugarColumn(ColumnDataType ="datetime" ,  IsNullable = false )]
        public DateTime OneInTime { get; set; }

        /// <summary> 
        /// RodBarCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string RodBarCode { get; set; }

        /// <summary> 
        /// HWBarCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string HWBarCode { get; set; }

        /// <summary> 
        /// RFIDBarCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string RFIDBarCode { get; set; }

        /// <summary> 
        /// CLBarCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string CLBarCode { get; set; }

        /// <summary> 
        /// HWTypeCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string HWTypeCode { get; set; }

        /// <summary> 
        /// BoilerNo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string BoilerNo { get; set; }

        /// <summary> 
        /// PackNo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string PackNo { get; set; }

        /// <summary> 
        /// BrandNo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string BrandNo { get; set; }

        /// <summary> 
        /// ExecStd
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string ExecStd { get; set; }

        /// <summary> 
        /// LicenceCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string LicenceCode { get; set; }

        /// <summary> 
        /// IsSurplus
        /// </summary> 
        [SugarColumn(ColumnDataType ="bit" , IsNullable = false )]
        public bool IsSurplus { get; set; }

        /// <summary> 
        /// IsRework
        /// </summary> 
        [SugarColumn(ColumnDataType ="bit" , IsNullable = false )]
        public bool IsRework { get; set; }

        /// <summary> 
        /// IsBlack
        /// </summary> 
        [SugarColumn(ColumnDataType ="bit" , IsNullable = false )]
        public bool IsBlack { get; set; }

        /// <summary> 
        /// IsCore
        /// </summary> 
        [SugarColumn(ColumnDataType ="bit" , IsNullable = false )]
        public bool IsCore { get; set; }

        /// <summary> 
        /// IsFast
        /// </summary> 
        [SugarColumn(ColumnDataType ="bit" , IsNullable = false )]
        public bool IsFast { get; set; }

        /// <summary> 
        /// IsFail
        /// </summary> 
        [SugarColumn(ColumnDataType ="bit" , IsNullable = false )]
        public bool IsFail { get; set; }

        /// <summary> 
        /// FailReason
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 200  , IsNullable = true )]
        public string FailReason { get; set; }

        /// <summary> 
        /// SilkTypeCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string SilkTypeCode { get; set; }

        /// <summary> 
        /// Grade
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string Grade { get; set; }

        /// <summary> 
        /// IsBack
        /// </summary> 
        [SugarColumn(ColumnDataType ="bit" , IsNullable = false )]
        public bool IsBack { get; set; }

        /// <summary> 
        /// BackReason
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 200  , IsNullable = true )]
        public string BackReason { get; set; }

        /// <summary> 
        /// IsTorsChk
        /// </summary> 
        [SugarColumn(ColumnDataType ="bit" , IsNullable = false )]
        public bool IsTorsChk { get; set; }

        /// <summary> 
        /// TorsChkQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int TorsChkQty { get; set; }

        /// <summary> 
        /// TorsChkTime
        /// </summary> 
        [SugarColumn(ColumnDataType ="datetime" ,  IsNullable = false )]
        public DateTime TorsChkTime { get; set; }

        /// <summary> 
        /// TorsChkValue
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18  , IsNullable = true )]
        public decimal? TorsChkValue { get; set; }

        /// <summary> 
        /// TorsChkMachCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string TorsChkMachCode { get; set; }

        /// <summary> 
        /// ProcessDocsCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string ProcessDocsCode { get; set; }

        /// <summary> 
        /// ProductMachCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string ProductMachCode { get; set; }

        /// <summary> 
        /// ProductLineNo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = true )]
        public string ProductLineNo { get; set; }

        /// <summary> 
        /// 货物大小
        /// </summary> 
        [SugarColumn(IsNullable = false)]
        public int Size { get; set; }

        /// <summary>
        /// 帘线机台组号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string WbGroupCode { get; set; }

        /// <summary>
        /// Sku编号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string SkuCode { get; set; }
        /// <summary>
        ///  扭转检测弓高
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 6, IsNullable = true)]
        public decimal? TorsChkChord { get; set; }
        /// <summary>
        ///  扭转检测平直度
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 6, IsNullable = true)]
        public decimal? TorsChkFlatness { get; set; }
        /// <summary>
        ///  扭转时长
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 2, IsNullable = true)]
        public decimal HoldTime { get; set; }
        /// <summary> 
        /// 预锁库存
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string PreStock { get; set; }
        /// <summary> 
        /// 扭转机台工位
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string TorsChkStation { get; set; }
        /// <summary>
        ///  是否控制盘
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsControlpanel { get; set; }
        /// <summary>
        ///  弓高是否合格
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string TorsChkChordIsGood { get; set; }
        /// <summary>
        ///  平直度是否合格
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string TorsChkFlatnessIsGood { get; set; }
        /// <summary>
        ///  扭转值是否合格
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string TorsChkValueIsGood { get; set; }
        /// <summary>
        /// 焊点数量
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 2, IsNullable = true)]
        public decimal SolderCount { get; set; }
        /// <summary> 
        /// 绕向
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string Wind { get; set; }
        /// <summary>
        ///  是否重投盘
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = true)]
        public bool IsMulti { get; set; }
    }
}

