﻿using SqlSugar;
using System;
using wms.dto;

namespace wms.sqlsugar.model.sx
{
    /// <summary>
    ///  条码表
    /// </summary>
    [Tenant("sx")]
    [SugarTable("Bill_InvInit")]
    public partial class BillInvinit : BaseModel
    {
        /// <summary>
        ///  仓库ID 关联仓库表 ID
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long WarehouseId { get; set; }

        /// <summary>
        ///  组盘ID
        ///  创建条码表时生成 同库存表组盘ID ContGrpId
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long ContGrpId { get; set; }

        /// <summary>
        ///  容器条码 同联容器表容器条码 ContBarCode
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string ContGrpBarCode { get; set; }

        /// <summary>
        ///  箱条码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string BoxBarCode { get; set; }

        /// <summary>
        ///  Bom单号 关联投料单 帘线工序工单号 BillCode
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string BomDocsNo { get; set; }

        /// <summary>
        ///  Bom物料ID
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long BomMatId { get; set; }

        /// <summary>
        ///  Bom物料编号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string BomMatCode { get; set; }

        /// <summary>
        ///  Bom物料
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string BomMatName { get; set; }

        /// <summary>
        ///  垛形主表 ID
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long BomSetId { get; set; }
        /// <summary>
        ///  垛型编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string SetGrpCode { get; set; }

        /// <summary>
        ///  库存状态码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string ExecStateCode { get; set; }

        /// <summary>
        ///  单据编号 关联单据表单据编号 DocsNo
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string ExecDocsNo { get; set; }

        /// <summary>
        ///  单据行号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string ExecDocsRowNo { get; set; }

        /// <summary>
        ///  单据类型编号 同单据表TypeNum
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string ExecDocsTypeCode { get; set; }

        /// <summary>
        ///  出入库标识
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public InvInOutType InvInOut { get; set; }

        /// <summary>
        ///  执行人
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string ExecWho { get; set; }

        /// <summary>
        ///  执行时间
        /// </summary>
        [SugarColumn(ColumnDataType = "datetime", IsNullable = false)]
        public DateTime ExecTime { get; set; }

        /// <summary>
        ///  行
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int PutRow { get; set; }

        /// <summary>
        ///  列
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int PutCol { get; set; }

        /// <summary>
        ///  层
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int PutLayer { get; set; }

        /// <summary>
        ///  入库条码号 FJ材料号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string InvBarCode { get; set; }

        /// <summary>
        ///  库存状态
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string InvStateCode { get; set; }

        /// <summary>
        ///  入库单号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string InDocsNo { get; set; }

        /// <summary>
        ///  入库单行号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string InDocsRowNo { get; set; }

        /// <summary>
        ///  供应编号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string SuppCode { get; set; }

        /// <summary>
        ///  供应商名称
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string SuppName { get; set; }

        /// <summary>
        ///  海关编号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string CustCode { get; set; }

        /// <summary>
        ///  海关名称
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string CustName { get; set; }

        /// <summary>
        ///  物料ID
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long MatId { get; set; }

        /// <summary>
        ///  物料编号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string MatCode { get; set; }

        /// <summary>
        ///  物料名称
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string MatName { get; set; }

        /// <summary>
        ///  总重量
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = false)]
        public decimal TolWQty { get; set; }

        /// <summary>
        ///  净重
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = false)]
        public decimal NetWQty { get; set; }

        /// <summary>
        ///  皮重
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = false)]
        public decimal TareWQty { get; set; }

        /// <summary>
        ///  总长
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = false)]
        public decimal LengthQty { get; set; }

        /// <summary>
        ///  碳当量
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = false)]
        public decimal CaQty { get; set; }

        /// <summary>
        ///  销售总量
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = false)]
        public decimal SolderQty { get; set; }

        /// <summary>
        ///  暂定
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int ContUsageQty { get; set; }

        /// <summary>
        ///  批次号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string BatchNo { get; set; }

        /// <summary>
        ///  生产时间
        /// </summary>
        [SugarColumn(ColumnDataType = "datetime", IsNullable = false)]
        public DateTime ProductTime { get; set; }

        /// <summary>
        ///  第一次入库时间
        /// </summary>
        [SugarColumn(ColumnDataType = "datetime", IsNullable = false)]
        public DateTime OneInTime { get; set; }

        /// <summary>
        ///  盘条条码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string RodBarCode { get; set; }

        /// <summary>
        ///  工字轮条码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string HWBarCode { get; set; }

        /// <summary>
        ///  RFID条码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string RFIDBarCode { get; set; }

        /// <summary>
        /// 材料号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string CLBarCode { get; set; }

        /// <summary>
        ///  工字轮条码类型
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string HWTypeCode { get; set; }

        /// <summary>
        ///  炉号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string BoilerNo { get; set; }

        /// <summary>
        ///  包号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string PackNo { get; set; }

        /// <summary>
        ///  牌号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string BrandNo { get; set; }

        /// <summary>
        ///  执行标准
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string ExecStd { get; set; }

        /// <summary>
        ///  许可证号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string LicenceCode { get; set; }

        /// <summary>
        ///  改手盘标记
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsSurplus { get; set; }

        /// <summary>
        ///  返工标记
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsRework { get; set; }

        /// <summary>
        ///  是否黑盘
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsBlack { get; set; }

        /// <summary>
        ///  是否芯股
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsCore { get; set; }

        /// <summary>
        ///  快投标记
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsFast { get; set; }

        /// <summary>
        ///  是否异常
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsFail { get; set; }

        /// <summary>
        ///  异常原因
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 200, IsNullable = true)]
        public string FailReason { get; set; }

        /// <summary>
        /// 单/双丝
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string SilkTypeCode { get; set; }

        /// <summary>
        ///  等级
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string Grade { get; set; }

        /// <summary>
        ///  是否退料
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsBack { get; set; }

        /// <summary>
        ///  退料原因
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 200, IsNullable = true)]
        public string BackReason { get; set; }

        /// <summary>
        ///  是否扭转检测
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsTorsChk { get; set; }

        /// <summary>
        ///  扭转次数
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int TorsChkQty { get; set; }

        /// <summary>
        ///  扭转检测时间
        /// </summary>
        [SugarColumn(ColumnDataType = "datetime", IsNullable = false)]
        public DateTime TorsChkTime { get; set; }

        /// <summary>
        ///  扭转检测结果值
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal? TorsChkValue { get; set; }

        /// <summary>
        ///  扭转检测设备号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string TorsChkMachCode { get; set; }

        /// <summary>
        ///  工序订单号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string ProcessDocsCode { get; set; }

        /// <summary>
        ///  生产机台号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string ProductMachCode { get; set; }

        /// <summary>
        ///  帘线机台组号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string WbGroupCode { get; set; }

        /// <summary>
        ///  生成产线号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string ProductLineNo { get; set; }

        /// <summary>
        /// 货物大小
        /// </summary>
        [SugarColumn(IsNullable = false)]
        public int Size { get; set; }
        /// <summary>
        /// 焊点数量
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int SolderCount { get; set; }

        /// <summary>
        ///  静置时长
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18,DecimalDigits = 2, IsNullable = true)]
        public decimal? HoldDuration { get; set; }


        /// <summary>
        /// Sku编号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string SkuCode { get; set; }
        /// <summary>
        ///  扭转检测弓高
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 6, IsNullable = true)]
        public decimal? TorsChkChord { get; set; }
        /// <summary>
        ///  扭转检测平直度
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 6, IsNullable = true)]
        public decimal? TorsChkFlatness { get; set; }
        /// <summary>
        ///  扭转时长
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 2, IsNullable = true)]
        public decimal HoldTime { get; set; }
        /// <summary> 
        /// 装箱规则（1：层配；2：SPC）
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string PackRule { get; set; }
        /// <summary>
        ///  是否控制盘
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsControlpanel { get; set; }
        /// <summary> 
        /// 绕向
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string Wind { get; set; }

        /// <summary>
        ///  是否重投盘
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsMulti { get; set; }

    }
}
