﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.sx
{
    [Tenant("sx")]
    [SugarTable("Bill_PackInfo")]
    public class BillPackInfo:BaseModel
    {
        /// <summary>
        /// 包装代码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string PackCode { get; set; }
        /// <summary>
        /// 包装描述
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string PackDesc { get; set; }
        /// <summary>
        /// 包装方式代码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string PackMethodCode { get; set; }
        /// <summary>
        /// 包装方式
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string PackMethod { get; set; }
        /// <summary>
        /// 工字轮型号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string Spool { get; set; }
        /// <summary>
        /// 工字轮标准数量
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string SpoolNum { get; set; }
        /// <summary>
        /// 空工字轮数量
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string EmptySpoolNum { get; set; }
        /// <summary>
        /// 每箱层数量
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string LayersNum { get; set; }
        /// <summary>
        /// 每层工字轮数量
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string LayersSpoolNum { get; set; }

        /// <summary>
        /// 物料编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 200, IsNullable = true)]
        public string MatCode { get; set; }
        /// <summary>
        /// 物料描述
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 200, IsNullable = true)]
        public string MatName { get; set; }
        /// <summary>
        /// 数量
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = true)]
        public int Count { get; set; }
        /// <summary>
        /// 单位
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string UnitName { get; set; }

        /// <summary>
        /// 物料单重
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = false)]
        public decimal Weight { get; set; }
    }
}
