﻿using SqlSugar;

namespace wms.sqlsugar.model.sx
{
    /// <summary>
    ///  成品装箱
    /// </summary>
    [Tenant("sx")]
    [SugarTable("Bill_PBoxRule")]
    public partial class BillPboxrule : BaseModel
    {
        /// <summary>
        /// WarehouseId
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long WarehouseId { get; set; }

        /// <summary>
        /// IsStop
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int IsStop { get; set; }

        /// <summary>
        /// DocsNo
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string DocsNo { get; set; }

        /// <summary>
        /// Sku编号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string SkuCode { get; set; }

        /// <summary>
        /// 箱号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string PBoxCode { get; set; }

        /// <summary>
        /// 装箱规则（1：层配；2：SPC）
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string PackRule { get; set; }

        /// <summary>
        /// 每箱满轮子数
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int FullCountQty { get; set; }

        /// <summary>
        /// 每箱空轮子数
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int EmptyCountQty { get; set; }

        /// <summary>
        /// 是否允许焊点盘
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int IsSolder { get; set; }

        /// <summary>
        /// 每箱允许最大焊点盘数量
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int SolderMaxCount { get; set; }

        /// <summary>
        /// 每个工字轮允许最大焊点数量
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int PerSolderMaxCount { get; set; }

        /// <summary>
        /// 24小时目标扭转值
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 2, IsNullable = false)]
        public decimal Torsion24Qty { get; set; }

        /// <summary>
        /// 48小时目标扭转值
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 2, IsNullable = false)]
        public decimal Torsion48Qty { get; set; }

        /// <summary>
        /// 72小时目标扭转值
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 2, IsNullable = false)]
        public decimal Torsion72Qty { get; set; }

        /// <summary>
        /// 扭转目标范围
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 2, IsNullable = false)]
        public decimal TorsionErrRange { get; set; }

        /// <summary>
        /// 子托盘编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string TrayCode { get; set; }

        /// <summary>
        /// 装箱状态(0未装箱/1装箱中/2装箱完成/3控制箱预占/4非控制预占)
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int ZXStateCode { get; set; }

        /// <summary>
        /// 每箱黑盘数量
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int BlackCount { get; set; }

        /// <summary>
        /// 返工盘数量
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int ReturnCount { get; set; }

        /// <summary>
        /// 扭转目标时间
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 2, IsNullable = false)]
        public decimal HoldTime { get; set; }

        /// <summary>
        ///  是否控制盘
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsControlpanel { get; set; }

        /// <summary>
        /// 包装信息
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", IsNullable = true)]
        public string PackJsonContent { get; set; }

        /// <summary>
        /// 扭转最大数
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 2, IsNullable = false)]
        public decimal TorsionMaxQty { get; set; }

        /// <summary>
        /// 扭转最小数
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 2, IsNullable = false)]
        public decimal TorsionMinQty { get; set; }

        /// <summary>
        /// 工字轮型号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string SpoolType { get; set; }

        /// <summary>
        /// 生产批号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string BatchNo { get; set; }

        /// <summary>
        /// 绕向
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string Wind { get; set; }

        /// <summary>
        /// 包装编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string Dryer { get; set; }

        /// <summary>
        /// 包材重量
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = false)]
        public decimal PackWeight { get; set; }

        /// <summary>
        /// 计算用包材重量
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = true)]
        public decimal BaoCaiWeight { get; set; }
    }

    
}