﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;
using wms.dto;
using wms.util.Check;

namespace wms.sqlsugar.model.sx
{
    /// <summary>
    ///  超时记录
    /// </summary>
    [Tenant("sx")]
    [SugarTable(nameof(BillTimeOutRecord) + "_{year}{month}{day}", "超时盘记录表")]
    [SplitTable(SplitType.Month)]//按年分表 （自带分表支持 年、季、月、周、日）
    public class BillTimeOutRecord  
    {
        /// <summary>
        ///  容器条码 同联容器表容器条码 ContBarCode
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string ContGrpBarCode { get; set; }

        /// <summary>
        ///  超时原因
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length =5000,  IsNullable = true)]
        public string Reason { get; set; }

        [SugarColumn(ColumnName = "Id", IsPrimaryKey = true)]
        public long Id { get; set; } = IdFactory.NewId();
   
      
        [SugarColumn(ColumnName = "AddTime", DefaultValue = "1900-1-1", IsNullable = false)]
        public  DateTime AddTime { get; set; } = DateTime.Now;
        [SugarColumn(ColumnName = "EditTime", DefaultValue = "1900-1-1", IsNullable = false)]
        public  DateTime EditTime { get; set; } = DateTime.Now;
    }
}
