﻿using SqlSugar;

namespace wms.sqlsugar.model.sx
{
    /// <summary>
    ///  码垛层配表
    /// </summary>
    [Tenant("sx")]
    [SugarTable("PalletLayerMath")]
    public partial class PalletLayerMath : BaseModel
    {

        /// <summary>
        /// 码垛主表id
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long PalletizingId { get; set; }
        /// <summary>
        ///  组盘ID
        ///  创建库存的时候 获取条码表ContGrpId
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long ContGrpId { get; set; }
        /// <summary>
        /// 容器条码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = false)]
        public string ContBarCode { get; set; }

        /// <summary>
        ///  层配（层数）
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int Layer { get; set; }

        /// <summary>
        /// Sku编号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string SkuCode { get; set; }

        /// <summary>
        ///  是否完成码垛（0:未完成；1:完成）
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int Finish { get; set; }
        /// <summary>
        /// 装箱规则id
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long PboxruleId { get; set; }
        /// <summary>
        ///  是否产生任务 (0:未产生；1:产生)
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int Istask {get; set; }
        /// <summary>
        /// 码垛工位
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = false)]
        public string Palletequip { get; set; }

        /// <summary>
        ///  是否黑盘
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsBlack { get; set; }
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int Depth { get; set; }
        /// <summary>
        /// 焊点数量
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 2, IsNullable = true)]
        public decimal SolderCount { get; set; }
        /// <summary>
        /// 箱号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string BoxCode { get; set; }
        /// <summary>
        /// 库存单号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 200, IsNullable = true)]
        public string StockDonse { get; set; }
        /// <summary>
        /// 机器组
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string Wbgroup { get; set; }
        /// <summary>
        /// 箱单号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 200, IsNullable = true)]
        public string BoxDonse { get; set; }

    }
}
