﻿using NPOI.OpenXml4Net.OPC.Internal;
using SqlSugar;

namespace wms.sqlsugar.model.sx
{
    /// <summary>
    ///  码垛主表
    /// </summary>
    [Tenant("sx")]
    [SugarTable("Palletizing")]
    public partial class Palletizing : BaseModel
    {
        /// <summary>
        /// 码垛工位
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = false)]
        public string Equip { get; set; }

        /// <summary>
        /// 最大码垛数量
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int PalletMax { get; set; }
        /// <summary>
        /// 码垛状态（0：执行；1.结束码垛；2.下一箱待码垛）
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int PalletizState { get; set; }

        /// <summary>
        /// 是否强制结盘
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int Finish { get; set; }
        /// <summary>
        /// 装箱规则（1：层配；2：spc）
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = false)]
        public string BoxRule { get; set; }
        /// <summary>
        /// 装箱规则id
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public long BoxRuleId { get; set; }
        /// <summary>
        /// 托盘输送任务
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int TaskNum { get; set; }
        /// <summary>
        /// 下发次数
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int Count { get; set; }
        /// <summary>
        ///  是否控制盘
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsControlpanel { get; set; }
        /// <summary>
        /// 货物类型
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = true)]
        public int GoodsType { get; set; }

        /// <summary>
        /// 机器人
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string Robot { get; set; }
    }
}
