﻿using SqlSugar;
using System;

namespace wms.sqlsugar.model.sx
{
    /// <summary>
    ///  码垛明细子表
    /// </summary>
    [Tenant("sx")]
    [SugarTable("Palletizingdetail")]
    public partial class Palletizingdetail : BaseModel
    {
        /// <summary>
        /// 码垛主表id
        /// </summary>
        [SugarColumn(ColumnDataType = "bigint", IsNullable = false)]
        public long PalletizingId { get; set; }

        /// <summary>
        /// 任务号
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int TaskNum { get; set; }

        /// <summary>
        /// 工字轮条码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string BarCode { get; set; }

        /// <summary>
        /// sku
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string Sku { get; set; }

        /// <summary>
        /// 机台组
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string WbGroupCode { get; set; }
        /// <summary>
        /// 装箱规则
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string PackRule { get; set; }
        /// <summary>
        /// 码垛层
        /// </summary>
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int Layer { get; set; }

        /// <summary>
        /// 等级
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string GradeCode { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string MaterialCode { get; set; }
        /// <summary>
        /// 物料描述
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 500, IsNullable = true)]
        public string MaterialDesc { get; set; }
        /// <summary> 
        /// 是否做扭转检测 0 不做；2 做
        /// </summary> 
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = false)]
        public decimal OvcFlag { get; set; }
        /// <summary>
        /// 扭转值
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string OvcValue { get; set; }
        /// <summary>
        /// 焊点数量
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 2, IsNullable = true)]
        public decimal SolderCount { get; set; }
        /// <summary> 
        /// 绕向
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string Winding { get; set; }
        /// <summary>
        ///  是否黑盘
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsBlack { get; set; }
        /// <summary>
        ///  批次号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string Batch { get; set; }
        /// <summary>
        ///  是否控制盘
        /// </summary>
        [SugarColumn(ColumnDataType = "bit", IsNullable = false)]
        public bool IsControlpanel { get; set; }
        /// <summary> 
        /// 装箱单据号
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string InDocsNo { get; set; }
        /// <summary>
        /// 单爪码垛完成时间
        /// </summary>
        [SugarColumn(ColumnDataType = "datetime", IsNullable = false)]
        public DateTime PalletizingDate { get; set; }
        /// <summary> 
        /// 码垛工位
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string EquNo { get; set; }
        /// <summary>
        ///  总重量
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = false)]
        public decimal TolWQty { get; set; }

        /// <summary>
        ///  净重
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = false)]
        public decimal NetWQty { get; set; }

        /// <summary>
        ///  皮重
        /// </summary>
        [SugarColumn(ColumnDataType = "decimal", Length = 18, IsNullable = false)]
        public decimal TareWQty { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string CLBarCode { get; set; }
        /// <summary>
        /// 箱号
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 100, IsNullable = true)]
        public string BoxCode { get; set; }
    }
}
